%define major		5
%define gir_major	3.0
%define libname		%mklibname %{name} %{major}
%define girname		%mklibname %{name}-gir %{gir_major}

Name:		rhythmbox
Summary:	Music Management Application 
Version:	2.96
Release:	%mkrel 1
License:	GPLv2+ with exception
Group:		Sound
Source0:	http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/%{version}/%{name}-%{version}.tar.xz

# wally: disable artdisplay plugin by default as it causes a crash
Patch10:	rhythmbox-disable-artdisplay-plugin.patch

URL:		http://www.gnome.org/projects/rhythmbox/
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(clutter-1.0) >= 1.2
BuildRequires:	pkgconfig(clutter-gst-1.0) >= 1.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.2
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.0
BuildRequires:	pkgconfig(grilo-0.1) >= 0.1.17
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-base-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-cdda-0.10)
BuildRequires:	pkgconfig(gstreamer-interfaces-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-pbutils-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(gudev-1.0) >= 143
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libbrasero-media3) >= 2.31.5
BuildRequires:	pkgconfig(libdmapsharing-3.0) >= 2.9.11
BuildRequires:	pkgconfig(libgnome-media-profiles-3.0)
BuildRequires:	pkgconfig(libgpod-1.0) >= 0.6
BuildRequires:	pkgconfig(libmtp) >= 0.3.0
BuildRequires:	pkgconfig(libmusicbrainz3) >= 3.0.2
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.26.0
BuildRequires:	pkgconfig(mx-1.0) >= 1.0.1
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.2
BuildRequires:	pkgconfig(tdb) >= 1.2.6
BuildRequires:	pkgconfig(totem-plparser) >= 2.32.1
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.3.9
BuildRequires:	vala >= 0.9.4
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils

Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
RequireS:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-soup
Requires:	gstreamer0.10-flac >= 0.10.0
Requires:	dbus-x11
Suggests:	media-player-info
Suggests:	grilo-plugins
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

This is the shared library part of %{name}.

%package mozilla
Group:		Sound
Summary:	Rhythmbox integration for Mozilla Firefox
Requires:	%{name} = %{version}-%{release}

%description mozilla
This plugin integates Rhythmbox with Mozilla and compatible
browsers. It provides a handler for itms:// Links to Apples iTunes
Music Store.

%package devel
Group:		Development/C
Summary:	Rhythmbox plugin development files
Requires:	%{libname} = %{version}-%{release}

%description devel
Install this if you want to build Rhythmbox plugins.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%patch10 -p1 -b .disable-artdisplay

%build
%configure2_5x \
	--with-mdns=avahi \
	--with-gnome-keyring \
	--enable-daap \
	--enable-gtk-doc \
	--disable-vala \
	--disable-static

%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/*{-??.omf,-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

find %{buildroot} -name "*.la" -exec rm -rf {} \;

# save space by linking identical images in translated docs
helpdir=%{buildroot}%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%doc %{_datadir}/gtk-doc/html/%{name}
%{_bindir}/rhythmbox
%{_bindir}/rhythmbox-client
%{_mandir}/man1/*.1*
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/applications/rhythmbox-device.desktop
%{_datadir}/icons/hicolor/*/apps/rhythmbox*
%{_datadir}/icons/hicolor/*/places/music-library.*
%{_datadir}/rhythmbox
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox3.service
%{_datadir}/glib-2.0/schemas/*.xml
%dir %_datadir/omf/rhythmbox/
%{_datadir}/omf/rhythmbox/rhythmbox-C.omf
%{_libexecdir}/rhythmbox-metadata
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/artdisplay
%{_libdir}/%{name}/plugins/artsearch
%{_libdir}/%{name}/plugins/audiocd
%{_libdir}/%{name}/plugins/audioscrobbler
%{_libdir}/%{name}/plugins/cd-recorder
%{_libdir}/%{name}/plugins/context
%{_libdir}/%{name}/plugins/daap
%{_libdir}/%{name}/plugins/dbus-media-server
%{_libdir}/%{name}/plugins/fmradio
%{_libdir}/%{name}/plugins/generic-player
%{_libdir}/%{name}/plugins/grilo
%{_libdir}/%{name}/plugins/im-status
%{_libdir}/%{name}/plugins/ipod
%{_libdir}/%{name}/plugins/iradio
%{_libdir}/%{name}/plugins/lyrics
%{_libdir}/%{name}/plugins/magnatune
%{_libdir}/%{name}/plugins/mmkeys
%{_libdir}/%{name}/plugins/mpris
%{_libdir}/%{name}/plugins/mtpdevice
%{_libdir}/%{name}/plugins/notification
%{_libdir}/%{name}/plugins/power-manager
%{_libdir}/%{name}/plugins/python-console
%{_libdir}/%{name}/plugins/rb
%{_libdir}/%{name}/plugins/rbzeitgeist
%{_libdir}/%{name}/plugins/replaygain
%{_libdir}/%{name}/plugins/sendto
%{_libdir}/%{name}/plugins/visualizer

%files -n %{libname}
%{_libdir}/librhythmbox-core.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/MPID-%{gir_major}.typelib
%{_libdir}/girepository-1.0/RB-%{gir_major}.typelib

%files mozilla
%{_libdir}/mozilla/plugins/librhythmbox-itms-detection-plugin.so

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/MPID-%{gir_major}.gir
%{_datadir}/gir-1.0/RB-%{gir_major}.gir


%changelog

* Sun Apr 15 2012 fwang <fwang> 2.96-1.mga2
+ Revision: 230837
- bump req
- magnatune plugin goes back

  + ovitters <ovitters>
    - new version 2.96
    - update patch10 (disable artdisplay plugin)

* Tue Feb 14 2012 ovitters <ovitters> 2.95-3.mga2
+ Revision: 208806
- clean spec

* Sun Jan 15 2012 wally <wally> 2.95-2.mga2
+ Revision: 196376
- drop radio station customizations as they don't work anymore
- fix gir pkg requires

* Sun Jan 15 2012 fwang <fwang> 2.95-1.mga2
+ Revision: 196366
- update file list
- update libmjaor
- new version 2.95
- br tdb

* Thu Nov 24 2011 fwang <fwang> 2.90.1-0.20111117.2.mga2
+ Revision: 171631
- rebuild for new clutter

* Sun Nov 20 2011 fwang <fwang> 2.90.1-0.20111117.1.mga2
+ Revision: 169862
- magnatune: temporarily disable this plugin
- fix header list in doc
- new snapshot
- suggests grilo plugins

* Fri Oct 07 2011 fwang <fwang> 2.90.1-0.20111004.2.mga2
+ Revision: 152579
- provide .so file in devel package

* Tue Oct 04 2011 fwang <fwang> 2.90.1-0.20111004.1.mga2
+ Revision: 151497
- update file list
- update file list
- new snpshot
- br desktop-file-utils
- br vala
- conver to pkgconfig style br
- cleanup requires for pygtk2

* Wed Sep 07 2011 wally <wally> 2.90.1-0.20110907.2.mga2
+ Revision: 140942
- disable artdisplay plugin by default as it causes a crash

* Wed Sep 07 2011 wally <wally> 2.90.1-0.20110907.1.mga2
+ Revision: 140912
- sync with latest git code
- split out gir .typelibs to own subpackage
- disable static build
- clean .spec

* Sun Jul 17 2011 fwang <fwang> 2.90.1-0.20110613.2.mga2
+ Revision: 125201
- rebuild for new libmtp

* Thu Jun 16 2011 pterjan <pterjan> 2.90.1-0.20110613.1.mga2
+ Revision: 108530
- Update to git master
- Disable vala, the sample plugin is not buildable
- Update buildrequires for gnome-media-profiles

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Adapt buildrequires to libgnome-media-profiles
    - Rebuild against new libgnome-media-profiles

* Tue Jun 14 2011 dmorgan <dmorgan> 0.13.3-7.mga2
+ Revision: 106171
- Fix file list
- Add libproxy-devel as buildRequire
- Rebuild against new brasero

  + ahmad <ahmad>
    - Rebuild against libnotify-0.7

* Sat Apr 09 2011 ahmad <ahmad> 0.13.3-5.mga1
+ Revision: 82511
- disable the check, it fails on the BS
- drop some redundant BR
- re-enable the checks, it seems to work now
- drop *gnomevfs* requires:
  c.f. https://bugzilla.gnome.org/show_bug.cgi?id=604186
- add requires on gvfs; and suggest gvfs-iphone for iphone support
- require gnome-python-gnomekeyring, no sense in suggesting it while e.g.
  gnome-python-gconf is required (both are used for the Magnatunes plugin)
- make the upnp sub-package require python-twisted (Fedora)
- only suggest gnome-python-gnomekeyring

* Wed Apr 06 2011 ahmad <ahmad> 0.13.3-3.mga1
+ Revision: 81462
- require gnome-python-gnomekeyring for the Magnatunre plugin to work
- require gstreamer0.10-soup to be able to play online https radio streams

* Thu Mar 24 2011 boklm <boklm> 0.13.3-2.mga1
+ Revision: 76204
- rebuild for bug #497

* Sat Feb 26 2011 ennael <ennael> 0.13.3-1.mga1
+ Revision: 60050
- clean spec file
- imported package rhythmbox


* Sun Jan 16 2011 Götz Waschk <waschk@mandriva.org> 0.13.3-1mdv2011.0
+ Revision: 631142
- new version
- new major

* Sun Oct 31 2010 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2011.0
+ Revision: 591216
- update build deps
- new version
- drop patch 2
- bump libdmapsharing dep
- add rbzeitgeist plugin

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.13.1-2mdv2011.0
+ Revision: 591159
- rebuild

* Mon Sep 06 2010 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2011.0
+ Revision: 576209
- new version
- drop patches 0,1
- new major
- update file list

* Sat Aug 21 2010 Götz Waschk <waschk@mandriva.org> 0.13.0-3mdv2011.0
+ Revision: 571767
- fix build with new vala

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.13.0-2mdv2011.0
+ Revision: 571673
- use dmapsharing 2.0 for daap plugin
- update file list
- drop vala support
- adopt to new gdbus api (upstream git)
- rebuild for new brasero

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.13.0-1mdv2011.0
+ Revision: 551248
- new version
- drop patch 0
- add devel package
- disable daap plugin
- reenable vala support

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add missing Requires to rhythmbox-upnp

* Sun Mar 28 2010 Götz Waschk <waschk@mandriva.org> 0.12.8-1mdv2010.1
+ Revision: 528548
- new version
- rediff patch 0
- update file list

  + Christophe Fergeau <cfergeau@mandriva.com>
    - libmusicbrainz3 is actually newer than libmusicbrainz4...
    - build against libmusicbrainz4

* Sun Feb 28 2010 Götz Waschk <waschk@mandriva.org> 0.12.7-1mdv2010.1
+ Revision: 512755
- new version
- drop patches 1-4
- add replaygain and nautilus sendto plugins
- add man pages

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 0.12.6-5mdv2010.1
+ Revision: 503759
- add missing dep on python-mako (bug #57553)

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 0.12.6-4mdv2010.1
+ Revision: 497463
- add several Fedora bugfix patches
- depend on python webkit bindings for context pane support

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 0.12.6-3mdv2010.1
+ Revision: 484424
- rebuild once again

* Wed Dec 30 2009 Pascal Terjan <pterjan@mandriva.org> 0.12.6-2mdv2010.1
+ Revision: 483992
- Update BuildRequires

* Sun Nov 22 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.12.6-1mdv2010.1
+ Revision: 468668
- 0.12.6 release
- drop patch7 which was integrated upstream

* Fri Oct 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.12.5-3mdv2010.0
+ Revision: 456321
- fix DAAP plugin not loading

* Fri Sep 18 2009 Götz Waschk <waschk@mandriva.org> 0.12.5-2mdv2010.0
+ Revision: 444313
- new version
- drop patch 7
- only suggest media-player-info for gudev builds

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.12.4-2mdv2010.0
+ Revision: 424870
- add Suggest: on media-player-info

* Sun Aug 23 2009 Götz Waschk <waschk@mandriva.org> 0.12.4-1mdv2010.0
+ Revision: 419904
- new version
- build with gudev
- drop patches 0,1
- build with --no-undefined

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 0.12.3-3mdv2010.0
+ Revision: 394238
- fix last.fm plugin linking

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 0.12.3-2mdv2010.0
+ Revision: 394177
- proper fix for crash on last song

* Sun Jul 05 2009 Götz Waschk <waschk@mandriva.org> 0.12.3-1mdv2010.0
+ Revision: 392600
- new version
- drop patch

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.12.2-2mdv2010.0
+ Revision: 382146
- disable vala
- fix plugin linking (bug #51355)

* Sun May 31 2009 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2010.0
+ Revision: 381629
- new version
- update file list
- fix deps

* Tue Apr 28 2009 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2010.0
+ Revision: 369101
- update build deps
- new version
- drop patches 1,2,3,4,5,7

* Mon Apr 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.12.0-7mdv2009.1
+ Revision: 364542
- Add upstream patch for GNOME bug #577840 (failure to open output
  device when playing audio cd immediately after rhythmbox start)

* Mon Apr 06 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-6mdv2009.1
+ Revision: 364479
- fix crash in musicbrainz CD lookup

* Thu Apr 02 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-5mdv2009.1
+ Revision: 363521
- fix a crash (upstream bug #576031)

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 0.12.0-4mdv2009.1
+ Revision: 363337
- gst-plugins-ugly is now a suggests, not a hard dependency

* Sun Mar 29 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-3mdv2009.1
+ Revision: 362095
- fix crash in cd writer selection

* Wed Mar 25 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-2mdv2009.1
+ Revision: 361171
- sync patches with Fedora
 * crash fix for PSP and Nokia players
 * use decodebin2, fixes chained Ogg streams
- spec fix

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.1
+ Revision: 357722
- new version

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 0.11.99.3-0.r6225.1mdv2009.1
+ Revision: 357683
- new snapshot

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 0.11.99.2-0.r6216.1mdv2009.1
+ Revision: 356545
- new snapshot
- drop patch 8

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 0.11.99-0.r6204.1mdv2009.1
+ Revision: 354291
- new snapshot
- drop patch 7
- fix crash (bug #575089)
- add dep on the lib package
- fix a warning
- lower libmtp dep for backports

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 0.11.99-0.r6202.2mdv2009.1
+ Revision: 354231
- enable CD burning support based on brasero
- make the package backportable

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 0.11.99-0.r6202.1mdv2009.1
+ Revision: 354220
- new snapshot

* Fri Mar 06 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6178.1mdv2009.1
+ Revision: 349750
- new snapshot
- drop patch 0

* Thu Feb 26 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6165.1mdv2009.1
+ Revision: 345049
- new snapshot
- update patch 0
- drop patch 1

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6164.1mdv2009.1
+ Revision: 344703
- new snapshot
- remove libmusicbrainz 2.x dep again

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6163.2mdv2009.1
+ Revision: 344637
- readd dep on libmusicbrainz
- drop patch 5

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6163.1mdv2009.1
+ Revision: 344633
- fix build
- new snapshot
- update patch 0 with new version

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6156.1mdv2009.1
+ Revision: 342855
- new snapshot
- build with musicbrainz3 only

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6154.1mdv2009.1
+ Revision: 342813
- new snapshot
- add patch from Fedora to fix volume setting with pulseaudio
- remove old configure options

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6131.1mdv2009.1
+ Revision: 331120
- new snapshot

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5.r6126.1mdv2009.1
+ Revision: 326512
- new snapshot
- drop patches 0,1,2,7
- update build deps
- update file list

* Mon Jan 05 2009 Götz Waschk <waschk@mandriva.org> 0.11.6-5mdv2009.1
+ Revision: 324964
- fix a crash (bug #46813)

* Mon Dec 29 2008 Götz Waschk <waschk@mandriva.org> 0.11.6-4mdv2009.1
+ Revision: 320972
- disable Werror
- fix format strings
- build with xulrunner instead of firefox

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 0.11.6-3mdv2009.0
+ Revision: 245130
- patch to fix playback start with the crossfader

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.11.6-2mdv2009.0
+ Revision: 238260
- add patch to build against libmtp 0.3.0
- fix url

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 0.11.6-1mdv2009.0
+ Revision: 232898
- new version
- update license
- update file list
- drop patches 0,1,2,3,4,7,8,9,10,11,12

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-8mdv2009.0
+ Revision: 231682
- fix vala plugin build

* Sat Jun 14 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-7mdv2009.0
+ Revision: 219173
- disable no-undefined to make it build
- add crash fix for upstream bug #529427
- *** empty log message ***

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 12 2008 Frederik Himpe <fhimpe@mandriva.org> 0.11.5-6mdv2009.0
+ Revision: 206471
- Add two new upstream patches:
- fixes unability to play some ogg vorbis file with crossfade back-end
- update playing state when starting an internet radio with crossfade
  back-end

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-5mdv2009.0
+ Revision: 196168
- sync bugfix patches with Fedora:
 * fix podcast parsing
 * fix CD audio playback if called from Nautilus
 * fix invalid characters in file names on iPods
 * fix deadlock when using the crossfading backend
 * update to the new Amazon cover artwork download API

* Sat Mar 22 2008 Frederik Himpe <fhimpe@mandriva.org> 0.11.5-4mdv2008.1
+ Revision: 189524
- Add patch from upstream svn (r5643), fixing last.fm with libsoup 2.4

* Thu Mar 20 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-3mdv2008.1
+ Revision: 189125
- fix possible crasher

* Mon Mar 17 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-2mdv2008.1
+ Revision: 188208
- drop patch 4, this was already fixed in a different way
- patch0: fix gtk-doc build
- reenable gtk-doc

* Sun Mar 16 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-1mdv2008.1
+ Revision: 188197
- new version
- drop patches 0,1,2,3,5,7,8,9,10
- disable gtk-doc build (broken ATM)

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-11mdv2008.1
+ Revision: 187309
- fix default list of lyrics search engines

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-10mdv2008.1
+ Revision: 180037
- add two patches from Fedora to hfix iPod problems

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-8mdv2008.1
+ Revision: 173181
- sync with Fedora:
 * add a default listing of Internet radio stations in Ogg format
 * force thread init for the python plugin
 * add the x-content mime type

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-7mdv2008.1
+ Revision: 166788
- remove the remaining static libs from the package

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-6mdv2008.1
+ Revision: 166702
- forgot to apply patch 3

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-5mdv2008.1
+ Revision: 166265
- patch for new mmkeys API in gnome-settings-daemon
- patch for new libsoup 2.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-4mdv2008.1
+ Revision: 162695
- fix build of the vala plugin
- split out upnp plugin

  + Funda Wang <fwang@mandriva.org>
    - rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-2mdv2008.1
+ Revision: 140042
- patch for upstream crash bug #506440

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 136315
- new version
- add mozilla plugin

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 0.11.3-2mdv2008.1
+ Revision: 108090
- rebuild for new libgpod
- add missing dep on gst-python

* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 106985
- new version
- drop merged patch
- update buildrequires

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 0.11.2-5mdv2008.1
+ Revision: 104376
- rebuild for new totem

* Wed Oct 31 2007 Thierry Vignaud <tv@mandriva.org> 0.11.2-4mdv2008.1
+ Revision: 104178
- really rebuild for new libmtp

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 0.11.2-3mdv2008.1
+ Revision: 102621
- rebuild for new libmtp

* Fri Sep 28 2007 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2008.0
+ Revision: 93585
- add missing dep on pygtk2.0-libglade to fix bug #33483
- remove autoconf call

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 64092
- New version

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.11.1-2mdv2008.0
+ Revision: 59041
- Rebuild against new libmtp

  + Götz Waschk <waschk@mandriva.org>
    - enable music store plugins by default

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.0
+ Revision: 44515
- new version
- drop patch 1
- drop legacy menu
- update buildrequires

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-4mdv2008.0
+ Revision: 41426
- fix crash on ipod disconnect

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-3mdv2008.0
+ Revision: 41393
- rebuild for new libgpod

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.11.0-2mdv2008.0
+ Revision: 36198
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch
    - patch vala detection
    - add vala support
    - clean up spec file

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2008.0
+ Revision: 32082
- new version

  + Funda Wang <fwang@mandriva.org>
    - fix url

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 0.10.0.90-1mdv2008.0
+ Revision: 30766
- new version
- add missing icon


* Wed Apr 04 2007 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.1
+ Revision: 150477
- fix buildrequires
- new version
- drop all patches (merged)

* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-4mdv2007.1
+ Revision: 138806
- Patch2 (Jonathan Matthew): don't start g-p-m if not running (GNOME bug #416213)

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdv2007.1
+ Revision: 125755
- fix error in art display

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdv2007.1
+ Revision: 124856
- fix crash

* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 123623
- new version
- drop all patches
- add library package

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-5mdv2007.1
+ Revision: 118759
- add mmkeys plugin from Fedora

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-4mdv2007.1
+ Revision: 118682
- disable the tests
- try to fix bug #28015 (python plugins on 64 bit)

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-3mdv2007.1
+ Revision: 109299
- rebuild

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-2mdv2007.1
+ Revision: 107112
- fix icon transparency
- add missing deps

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2007.1
+ Revision: 98601
- new version
- drop patch

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.9.6.90-1mdv2007.1
+ Revision: 97415
- new version
- patch to fix build
- enable checks, they might work in iurt

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-6mdv2007.1
+ Revision: 88872
- rebuild

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-5mdv2007.1
+ Revision: 63768
- rebuild
- add more missing buildrequires
- add testing support but don't enable it
- add more missing deps
- fix buildrequires
- Import rhythmbox

* Mon Oct 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdv2007.0
- update file list
- drop patch
- new version

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.5-7mdv2007.0
- Patch0: don't use dbus deprecated api

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-6mdv2007.0
- fix buildrequires

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- Rebuild

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-4mdv2007.0
- fix buildrequires

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-3mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-2mdv2007.0
- fix post script

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- new macros
- update file list
- enable ipod writing
- drop patches
- New release 0.9.5

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.4.1-4mdv2007
- Patch1 (CVS): fix build with ncb 2.15.3

* Fri May 12 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-3mdk
- patch for new libnotify

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-2mdk
- fix buildrequires

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-1mdk
- drop merged patch
- New release 0.9.4.1

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-4mdk
- patch to use the right libtool

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-3mdk
- fix buildrequires

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 0.9.4-2mdk
- Rebuild

* Mon Apr 17 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-1mdk
- update file list
- drop patch
- New release 0.9.4

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.3.1-4mdk
- Allow recompilation on 2006.0 distro

* Wed Feb 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.3.1-3mdk
- patch1: use local libtool for shell extension
  - add buildrequires: automake1.8 intltool

* Mon Feb 06 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3.1-2mdk
- fix buildrequires

* Sun Feb 05 2006 Götz Waschk <waschk@mandriva.org> 0.9.3.1-1mdk
- New release 0.9.3.1

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3-1mdk
- gstreamer 0.10
- fix buildrequires
- drop patch
- New release 0.9.3

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-5mdk
- require dbus-x11
- obsolete rhythmbox-scrobbler

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-4mdk
- Patch0 (CVS): dbus 0.60 support
- Remove dashboard flags, it is no longer supported

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.9.2-2mdk
- enforce avahi

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.2-1mdk
- update file list
- depend on libgpod
- New release 0.9.2

* Tue Nov 22 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-4mdk
- enable daap and tag writing

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.9.1-3mdk
- rebuild for new openssl

* Fri Oct 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-2mdk
- rebuild

* Tue Oct 18 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- update buildrequires
- update file list
- New release 0.9.1

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.0-
- Release 0.9.0

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-6mdk
- fix buildrequires

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.8-5mdk
- drop yelp dependency
- replace prereq with new requires(...) syntax

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-4mdk
- mkrel macro

* Sat Jan 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-3mdk
- rebuild

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-2plf 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- enable nautilus menu
- drop yelp-pregenerate stuff
- fix omf file listing
- update description
- new version

* Sat Aug 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-3mdk
- enable ipod

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-2mdk
- reenable libtoolize

* Fri Jun 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Thu May 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-2mdk
- fix mp4 build 
- fix xine build

* Wed May 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- drop plf option

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix URL
- new version

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- obsoletes rhythmbox0.7
- new version

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.10-1mdk
- gstreamer 0.8
- new version

